Request Customer Port
curl --request POST \
--url https://api.example.com/service/{tenant_name}/l2/customer_port \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"system_name": "<string>",
"name": "<string>",
"max_bandwidth": 0,
"labels": {}
}
'import requests
url = "https://api.example.com/service/{tenant_name}/l2/customer_port"
payload = {
"system_name": "<string>",
"name": "<string>",
"max_bandwidth": 0,
"labels": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({system_name: '<string>', name: '<string>', max_bandwidth: 0, labels: {}})
};
fetch('https://api.example.com/service/{tenant_name}/l2/customer_port', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - l2_interface
Request Customer Port
POST
/
service
/
{tenant_name}
/
l2
/
customer_port
Request Customer Port
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I